<button>Click</button>
<script src="https:checkout.razorpay.com/v1/checkout.js"></script>
<script>
    var orderId;
    $(document).ready(function(){
        settings = {
            "url":"/create/orderId",
            "method":"POST",
            "timeout":0,
            "headers":
                {"Content-Type" : "application/json"},
            "data":JSON.stringify({
                "amount":"1"
            })
        }
        
        $.ajax(setting).done(function(response){
        orderId=response.orderId;
        console.log(orderId);
        $("button").show();
        });
    });

    document.getElelemtById('rzp-button1').click = function(e){
        var option = {
            "key": "YOUR KEY ID",
            "amount" : "1",
            "currency":"INR",
            "name":"Shubham",
            "description":"testing",
            "image":"zyx.png",
            "order_id":"dummy_id",
            "handler":function(response){
                alert(response.razorpay_payment_id);
                alert(response.razorpay_order_id);
                alert(response.razorpay_signature);
                var setting = {
                    "url":"verify_payment",
                    "method":"POST",
                    "timeout":0,
                    "headers":{"Content-Type":"application/json"},
                    "data":JSON.stringify({response});
                }
            },
            "theme":"#3e55ac"
        }

        var rzp1 = new Razorpay(option);
        rzp1.on('payment.failed',function(response){
            alert(response.error.code);
            //many more alert
        });
        rzp1.open();
        e.preventDefault();
    }
    
</script>